Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77930 - rhPrintOSKernelString can print stack garbage
Summary: rhPrintOSKernelString can print stack garbage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-15 15:38 UTC by S. A. Hutchins
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version: 4.2.1-20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-26 05:07:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:067 high SHIPPED_LIVE : Updated XFree86 packages provide security and bug fixes 2003-06-25 04:00:00 UTC

Description S. A. Hutchins 2002-11-15 15:38:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021029
Phoenix/0.4

Description of problem:
buf[] is never initialized; if for whatever reason, XFree86 is unable to open
/proc/version, the read (which does initialize buf) will fail. While the "OS
Kernel: " string does check to see if buf[] is NULL, buf[0] will only be 0 by
chance.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Mess with the kernel so that /proc/version doesn't exist/isn't readable
2. Run XFree86.
3. Notice the output of "OS Kernel:" is garbage.
	

Actual Results:  OS Kernel: (heart) PF

Expected Results:  OS Kernel: 2.4.18-14

Additional info:

Comment 1 Mike A. Harris 2002-12-09 16:44:04 UTC
I've created a fix for this which will be in rawhide CVS build 20021208.1
and later.  Once it is confirmed to work correctly, I'll put it into
the erratum branch also.

Would you willing to test the rawhide build?

Comment 2 S. A. Hutchins 2002-12-11 18:31:12 UTC
I'd certainly be willing to test it if I can find the time. It'd be easiest if I
could take a patch to 4.2.0; if not, could you tip me towards where I need to
get the version you'd like me to test? I've never retrieved anything from
RawHide before.


Comment 3 Mike A. Harris 2002-12-21 13:15:42 UTC
Sure, rawhide is available from:

ftp://rawhide.redhat.com/pub/redhat/linux/rawhide

Also, I put up XFree86 snapshots, and beta test packages at:

ftp://people.redhat.com/mharris/testing   for different releases of
Red Hat Linux.  The extremely-unstable-blah-blah dir is the developmental
stuff that ends up going into rawhide.  (The directory name is named
as such to discourage people from upgrading to these packages and expecting
rock solid support).

I haven't seen any problems yet being reported since I put this patch
in, so I might generate one for 4.2.1 soon as well.

Comment 4 Mike A. Harris 2002-12-21 16:32:45 UTC
XFree86-4.2.1-10.3 has the backported fix.  Please test and let me know
if it works for you ok.

ftp://people.redhat.com/mharris/testing/8.0/XFree86



Comment 5 Mike A. Harris 2002-12-22 20:31:19 UTC
Seems to work ok for me, closing as fixed in RAWHIDE.

Comment 6 Mike A. Harris 2003-05-26 05:07:22 UTC
Reclosing as fixed in ERRATA for upcoming erratum release.


Note You need to log in before you can comment on or make changes to this bug.